/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .nbss, bss, near

.section .text
.global Init_OC3_PWM

Init_OC3_PWM:
	bclr	PMD2, #OC3MD
/* puls mod */
;	mov	#(FCY/200000)-1, w0	/* 200kHz */
	mov	#256, w0	/* (1/(FCY*sec))-1 = 299 -> 5us */
	mov	w0, OC3RS
	mov	#128, w0
	mov	w0, OC3R

	mov	#0x1C06, w0
	mov	w0, OC3CON1
	mov	#0x0003, w0	/* sync OC3 */
	mov	w0, OC3CON2

;	return

;OC3_PinEnabel:
	bset  LATG, #6
/* OC3 --> Pin4(RG6/RP118) */
	mov	#0x1200, w0
	ior	RPOR8
	return
.if 0
OC3_PinDisabel:
/* Default --> Pin4(RG6/RP118) */
	mov	#0x00FF, w0
	and	RPOR8
	bset	LATG, #6
	return
.endif
