/*
  15  14  13  12  11  10   9   8   7   6   5   4   3   2   1   0
 +-------+---+---+-------+---+---+---+-----------+---------------+
 |       |cs |txt|       |NV |OVC|BM |   Count   |   Bit nr.     | Fkt
 +-------+---+---+-------+---+---+---+-----------+---------------+
 +---------------------------------------------------------------+
 |                 Value Pointer                                 | NV=0
 +---------------------------------------------------------------+
 +---------------------------------------------------------------+
 |                 OnCange Pointer                               | OVC=1
 +---------------------------------------------------------------+
 +---------------------------------------------------------------+
 |                 txt Pointer                                   | txt=1
 +---------------------------------------------------------------+

--------------------------- Fkt ------------------------------------------
Bit 12
	Extra txt

Bit 9
	OVC=1	OnCange(w0=Value, w1=Value shift, w2=Orig Value, w3=Stat)
		w3  0=Value Change  1=open  2=close

Bit 8
	No Value Pointer
Bit 7
	Bit mod

Bit 4..6  BM=0
	0=1 Bit set/reset	1=1 Bit set/reset
	2=2 Bit 0,1,2		3=2 Bit 0,1,2,3
	4=3 Bit 0,1,2,3,4	5=3 Bit 0,1,2,3,4,5

Bit 4..6  BM=1
	0=1 Bit  1=2 Bit ... 7=8 Bit

Bit 0..3
	Bit set/reset
*/

	LCDF_BNR_MASK		= 0x000F
	LCDF_COUNT_MASK		= 0x0070
	LCDF_COUNT_SHIFT	= 4

	bLCDF_BITMOD		= 7
	LCDF_BITMOD		= (1<<bLCDF_BITMOD)

	bLCDF_ONCANGE		= 8
	LCDF_ONCANGE		= (1<<bLCDF_ONCANGE)

	bLCDF_NOVALUE		= 9
	LCDF_NOVALUE		= (1<<bLCDF_NOVALUE)

	bLCDF_TXT		= 12
	LCDF_TXT		= (1<<bLCDF_TXT)
	bLCDF_TXT_CS		= 13
	LCDF_TXT_CS		= (3<<bLCDF_TXT)

/* --------------------------- FlagsEdStat ------------------------------ */
	bFES_READ_ONLY		= 0
