/*
 Copyright (C) 2014-2020 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .text
.global hex16toppc

prHex:
	cp	w1, #10
	bra	lt, 10f
	add	w1, #7, w1
10:
	add	#0x30, w1
	mov.b	w1, [w3++]
	return

/*
w0=Value w2=min.num w3=ppc
*/
hex16toppc:
	lsr	w0, #12, w1
	cp	w2, #4
	bra	ge, 12f
	cp0	w1
	bra	z, 20f
12:
	rcall	prHex
20:
	lsr	w0, #8, w1
	and	w1, #0x0f, w1
	cp	w2, #3
	bra	ge, 22f
	cp0	w1
	bra	z, 30f
22:
	rcall	prHex
30:
	lsr	w0, #4, w1
	and	w1, #0x0f, w1
	cp	w2, #2
	bra	ge, 32f
	cp0	w1
	bra	z, 40f
32:
	rcall	prHex
40:
	and	w0, #0x0f, w1
	rcall	prHex
	clr.b	[w3]
	return
