/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .text

.global add16us_sat

/* ------------------------- add16us_sat --------------------------
Input:  w0 = unsigned val  +  w1 = signed val
Output: w0 = unsigned val
used:   w0:w1					15 Clk
------------------------------------------------------------ */
add16us_sat:
	add	w0, w1, w0
	asr	w1, #15, w1
	addc	w1, #0, w1
	cp0	w1
	btsc	SR, #Z
	return
	mov	#0xffff, w0
	btsc	w1, #15
	mov	#0x0000, w0
	return
