/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .text

.global add32s_sat

/* ------------------------- add32s_sat --------------------------
Input:  w0:w1 = signed val  +  w2:w3 = signed val
Output: w0:w1 = signed val
used:   w0:w1					13 Clk
------------------------------------------------------------ */
add32s_sat:
	add	w0, w2, w0
	addc	w1, w3, w1
	btss	SR, #OV
	return
	mov	#0xffff, w0
	mov	#0x7fff, w1
	btss	SR, #C
	return
	mov	#0x0000, w0
	mov	#0x8000, w1
	return
