/*
 Copyright (C) 2014-2020 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"
.include "libm.inc"

.section .text
.global f48i16_0
.global f48i16_max

f48i16_0:
	clr	w0
	bclr	SR, #OV
	return

f48i16_max:
	btst	w7, #15
	bra	nz, f48i16_max_n
	mov	#0x7fff, w0
	bset	SR, #OV
	return

f48i16_max_n:
	cp0	w6
	bra	nz, f48i16_max_8000
	cp0	[w4]
	bra	nz, f48i16_max_8000
	mov	#0x8000, w6
	cp	w0, w6
	btsc	SR, #Z
	return
f48i16_max_8000:
	mov	#0x8000, w0
	bset	SR, #OV
	return


