/*
 Copyright (C) 2014-2020 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"
.include "libm.inc"

.section .text
.global f48i32_0
.global f48i32_max

f48i32_0:
	mul.uu	w0, #0, w0
	bclr	SR, #OV
	return

f48i32_max:
	btst	w7, #15
	bra	nz, f48i32_max_n
	mov	#0xffff, w0
	mov	#0x7fff, w1
	bset	SR, #OV
	return
f48i32_max_n:
	cp0	w6
	bra	nz, f48i32_max_8000
	cp0	w0
	bra	nz, f48i32_max_8000
	mov	#0x8000, w6
	cp	w1, w6
	btsc	SR, #Z
	return
f48i32_max_8000:
	mov	#0x0000, w0
	mov	#0x8000, w1
	bset	SR, #OV
	return
