/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .text
.global InitSPI_LCD
.global SendWord_SPI_LCD_Wait

InitSPI_LCD:
	bclr	PMD1, #SPI1MD

	mov	#0x047a, w0
	mov	w0, SPI1CON1
	clr	SPI1CON2
	mov	#0x8000, w0
	mov	w0, SPI1STAT
	return

SendWord_SPI_LCD_Wait:
	disi	#2
	mov	w0, SPI1BUF
	mov	SPI1BUF, w0
10:
	btst	SPI1STAT, #SPIRBF
	bra	z, 10b
	return

