
.equ bDAC_INV,		13
.equ bDAC_R_ALIGN,	14
.equ bDAC_SIGN,		15

.equ DAC_R_INV,		0x2000
.equ DAC_R_ALIGN,	0x4000
.equ DAC_SIGN,		0x8000

.equ DAC_XB_MASK,	0x0F00
.equ DAC_XB_SIFT,	8

.equ DAC_8B,		0x0800
.equ DAC_10B,		0x0600
.equ DAC_12B,		0x0400
.equ DAC_16B,		0x0000


/* DAC7578 A0 8*12b */
.equ AGLIN0,		0 | DAC_8B | DAC_R_ALIGN
.equ ALINPA,		1 | DAC_8B | DAC_R_ALIGN
.equ AGLIN1,		2 | DAC_8B | DAC_R_ALIGN
.equ AFR0,		3 | DAC_8B | DAC_R_ALIGN
.equ AGRC,		4 | DAC_8B | DAC_R_ALIGN
.equ AFR1,		5 | DAC_8B | DAC_R_ALIGN
.equ AGRP0,		6 | DAC_8B | DAC_R_ALIGN
.equ AOP1LC,		7 | DAC_8B | DAC_R_ALIGN

/* DAC7578 A2 8*12b */
.equ AOPTOFF,		8 | DAC_12B | DAC_SIGN | DAC_R_INV
.equ AGTI1,		9 | DAC_12B | DAC_SIGN
.equ AOP1OFF,		10 | DAC_12B | DAC_SIGN
.equ AGTI0,		11 | DAC_12B | DAC_SIGN
.equ AGRN1,		12 | DAC_8B | DAC_R_ALIGN
.equ AGVN,		13 | DAC_12B
.equ AGRN0,		14 | DAC_8B | DAC_R_ALIGN
.equ AGVP,		15 | DAC_12B | DAC_R_INV
.equ LAST_DAC7578,	15

/* MCP47EFB22 A0 2*12b */
.equ VIMP,		16 | DAC_12B
.equ AOSCT,		17 | DAC_12B | DAC_SIGN
.equ APSYM,		18 | DAC_12B | DAC_SIGN
.equ OSYM,		19 | DAC_12B | DAC_SIGN
.equ LAST_MCP47EFB22,	19

/* MCP4726 A2 1*12b */
.equ AIMP,		20 | DAC_12B
.equ PAVO,		21 | DAC_12B | DAC_SIGN | DAC_R_INV
.equ LAST_MCP4726,	21

/* AD5667 A0 2*16b */
.equ PA_POW,		22 | DAC_16B | DAC_SIGN
.equ PA_DC,		23 | DAC_16B | DAC_SIGN | DAC_R_INV
.equ LAST_AD5667,	23

/* CPU PWM */
.equ OC0_PWM,		0	
;.equ PSYM,		24 | DAC_8B | DAC_SIGN | DAC_R_ALIGN
.equ FAN_PWM,		25 | DAC_8B | DAC_R_ALIGN | DAC_R_INV
.equ OC3_PWM,		0
.equ LAST_OC_PWM,	27


/* Gain */
.equ PA_GAIN_BASE,	4570
;.equ K1_GAIN_BASE,	7883
;.equ K2_GAIN_BASE,	6294
;.equ K3_GAIN_BASE,	3940
;.equ K4_GAIN_BASE,	1552
;.equ K5_GAIN_BASE,	305

.equ K02DB_GAIN_BASE,	7883
.equ K04DB_GAIN_BASE,	6294
.equ K08DB_GAIN_BASE,	3940
.equ K16DB_GAIN_BASE,	1552
.equ K32DB_GAIN_BASE,	305

.equ GENV_DAC_MAX,	0x0E00
.equ GENV_DAC_MIN,	0x0200

/* in 0.00005 V */
;.equ GENV_MIN_BASE,	18000
;.equ GENV_MAX_BASE,	20000
;.equ GENV_MIN_BASE_1DB,	16000
;.equ GENV_MAX_BASE_1DB,	18000

/* in 0.00001 V */
.equ GENV_MAX_BASE,	10000
.equ GENV_MIN_BASE,	9000
.equ GENV_MIN_BASE_1DB,	8000

/* PA DAC Offset  146uV / digit */
;.equ PA_POW_BASE,		43000
;.equ PA_DC_BASE,		43500

.equ DAC_PA_POW_BASE,		14600
/* ~ 4uV/digit */
.equ DAC_PA_OFFSET_BASE,	4000

/* CapDiode */
.equ CAP_BB174,		1
.equ CAP_BB181,		2
.equ CAP_BB857,		3

/* AutoCal  AutoCalDAC  */
.equ bAC_ADS112_GOV,	0
.equ bAC_ADS112_GRV,	1
.equ bAC_ADS112_OP1V,	2
.equ bAC_ADS112_TEMP,	3
.equ bAC_MCP3421,	4
