/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .nbss, bss, near
;Val_OV:			.space 2

.section .text
.global int16toppc
.global int16D2toppc
.global int16D3toppc
.global int16D4toppc
.global uint16toppc
.global uint16D1toppc
.global uint16D2toppc
.global uint16D3toppc
.global uint16D4toppc

.global int1616toppc
.global int1616D4toppc

.global i16toppc
.global u16toppc
.global i1616toppc
.global u1616toppc
.global i1616Dx6toppc
.global u1616Dx6toppc

.global i16_05toppc

.equ ADD_MINUS,		8
.equ NULL_OK,		9
.equ ADD_DEZP,		10
.equ VAL_OV,		11

/* ------------------- Dez Char to Str. --------------------------------- */
/*
W0=char W1=rest W2=dezp W3=ppc
W4=tmp
*/
.if 0
SetDivDezChar:
	cp	w0, w4
	bra	ltu, sddc0
	repeat	#17
	div.u	w0, w4
SetDezNChar:
;	and	w2, #0x07, w4
	cp0.b	w2
	bra	z, sdc_nd
	dec.b	w2, w2
;	and	w2, #0x07, w4
	bra	nz,sdc_nd
	btst	w2, #ADD_MINUS
	bra	z, sdc_md_11
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4
	mov.b	w4, [w3++]
sdc_md_11:
	mov	#0x2e, w4
	mov.b	w4, [w3++]
sdc_nd:
	bset	w2, #NULL_OK
	btst	w2, #ADD_MINUS
	bra	nz, sdc_minus
	add	#0x30, w0
	mov.b	w0, [w3++]
	return

sddc0:
	mov	w0, w1
SetDez0Char:
;	and	w2, #0x07, w4
	cp0.b	w2
	bra	z, sdc0_nd
	dec.b	w2, w2
;	and	w2, #0x07, w4
	bra	z, sdc0_md
	dec.b	w2, w4
	bra	z, sdc0_mde
	bra	sdc0_nd
sdc0_md:
	btst	w2, #ADD_MINUS
	bra	z, sdc0_md_11
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4
	mov.b	w4, [w3++]
sdc0_md_11:
	mov	#0x2e, w4
	mov.b	w4, [w3++]
sdc0_mde:
	bset	w2, #NULL_OK
	btst	w2, #ADD_MINUS
	bra	nz, sdc0_minus
sdc0_nd:
	mov	#0x20, w0
	btsc	w2, #NULL_OK
	mov	#0x30, w0
	mov.b	w0, [w3++]
	return

sdc0_minus:
	clr	w0
sdc_minus:
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4
	mov.b	w4, [w3++]
	add	#0x30, w0
	mov.b	w0, [w3++]
	return
.else
SetDivDezChar:
	cp	w0, w4
	bra	ltu, sddc0
	repeat	#17
	div.u	w0, w4
;SetDezNChar:
;	cp0.b	w2
;	bra	z, sdc_nd
	dec.b	w2, w2
	bra	nz,sdc_nd
	btst	w2, #ADD_MINUS
	bra	z, sdc_md_11
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4		; -.nn
	mov.b	w4, [w3++]
sdc_md_11:
	mov	#0x2e, w4		; .nn
	mov.b	w4, [w3++]
sdc_nd:
	bset	w2, #NULL_OK
	btst	w2, #ADD_MINUS
	bra	nz, sdc_minus
	add	#0x30, w0
	mov.b	w0, [w3++]
	return

sddc0:
	mov	w0, w1
;SetDez0Char:
;	cp0.b	w2
;	bra	z, sdc0_nd
	dec.b	w2, w2
	bra	z, sdc0_md
	cp.b	w2, #1			/* test 0.nn */
	bra	z, sdc0_mde
sdc0_nd:
	mov	#0x20, w0
	btsc	w2, #NULL_OK
	mov	#0x30, w0
	mov.b	w0, [w3++]
	return
sdc0_md:
	btst	w2, #ADD_MINUS
	bra	z, sdc0_md_11
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4
	mov.b	w4, [w3++]
sdc0_md_11:
	mov	#0x2e, w4
	mov.b	w4, [w3++]
sdc0_mde:
	bset	w2, #NULL_OK
	btst	w2, #ADD_MINUS
.if 1
	bra	z, sdc0_nd
.else
	bra	nz, sdc0_minus
;sdc0_nd:
	mov	#0x20, w0
	btsc	w2, #NULL_OK
	mov	#0x30, w0
	mov.b	w0, [w3++]
	return

sdc0_minus:
.endif
	clr	w0
sdc_minus:
	bclr	w2, #ADD_MINUS
	mov	#0x2d, w4
	mov.b	w4, [w3++]
	add	#0x30, w0
	mov.b	w0, [w3++]
	return
.endif


/* ------------------- Dez Char to Str. --------------------------------- */

ui16p_w4:
	cp	w4, #4
	bra	z, ui16p_4d
	cp	w4, #3
	bra	z, ui16p_3d
	cp	w4, #2
	bra	z, ui16p_2d
	cp	w4, #1
	bra	z, ui16p_1d
/*
W0=char W1=rest W2=dezp W3=ppc
*/
ui16p_5d:
	mov	#10000, w4
	rcall	SetDivDezChar
	mov	w1, w0
ui16p_1000:
	mov	#1000, w4
	rcall	SetDivDezChar
	mov	w1, w0
ui16p_100:
	mov	#100, w4
	rcall	SetDivDezChar
	mov	w1, w0
ui16p_10:
	mov	#10, w4
	rcall	SetDivDezChar
	mov	w1, w0
ui16p_1:
	mov	#0x2d, w4
	btsc	w2, #ADD_MINUS
	mov.b	w4, [w3++]

.if 0
	mov	#1, w1		/* chk dot */
	and	w2, #0x07, w4
	mov	#0x2e, w2
	cpsne	w1, w4
	mov.b	w2, [w3++]
.else
	and	w2, #0x07, w4
	mov	#0x2e, w1
	cp	w4, #1
	btsc	SR, #Z
	mov.b	w1, [w3++]
.endif

	ior	#0x30, w0
	mov.b	w0, [w3++]
	clr.b	[w3]
;	pop	w4
	return

ui16p_4d:
	mov	#9999, w4
	cp	w0, w4
	bra	leu, ui16p_1000
	mov	w4, w0
	bset	w2, #VAL_OV
	bra	ui16p_1000

ui16p_3d:
	mov	#999, w4
	cp	w0, w4
	bra	leu, ui16p_100
	mov	w4, w0
	bset	w2, #VAL_OV
	bra	ui16p_100

ui16p_2d:
	mov	#99, w4
	cp	w0, w4
	bra	leu, ui16p_10
	mov	w4, w0
	bset	w2, #VAL_OV
	bra	ui16p_10

ui16p_1d:
	mov	#9, w4
	cp	w0, w4
	bra	leu, ui16p_1
	mov	w4, w0
	bset	w2, #VAL_OV
	bra	ui16p_1


int16_MaxDezKorr:
	btst	w0, #15
	bra	z, pos_MaxDezKorr
	neg	w0, w0
	bset	w2, #ADD_MINUS
	bra	MaxDezKorr
pos_MaxDezKorr:
	push	w4
	mov	#0x20, w4
	mov.b	w4, [w3++]
	pop	w4
	bclr	w2, #ADD_MINUS
MaxDezKorr:
	and.b	w2, #0x07, w2
	btsc	SR, #Z
	return
	cpslt.b	w2, w4
	mov.b	w4, w2
	sub.b	w4, w2, w2
	inc.b	w2, w2
	return

/*
W3=ppc w0=Value w2=dezp
dezp & 0x07 = 5   -> .00000
dezp & 0x07 = 4   -> 0.0000
dezp & 0x07 = 3   ->  0.000
dezp & 0x07 = 2   ->   0.00
dezp & 0x07 = 1   ->    0.0
*/
int16toppc:
	mov	#5, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_5d

int16D2toppc:
	mov	#2, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_3d

int16D3toppc:
	mov	#3, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_3d

int16D4toppc:
	mov	#4, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_4d

uint16toppc:
	mov	#5, w4
	rcall	MaxDezKorr
	bra	ui16p_5d

uint16D1toppc:
	mov	#1, w4
	rcall	MaxDezKorr
	bra	ui16p_1d

uint16D2toppc:
	mov	#2, w4
	rcall	MaxDezKorr
	bra	ui16p_2d

uint16D3toppc:
	mov	#3, w4
	rcall	MaxDezKorr
	bra	ui16p_3d

uint16D4toppc:
	mov	#4, w4
	rcall	MaxDezKorr
	bra	ui16p_4d


/*
W1:W0=16.16 W2=dezp W3=ppc W4=tmp
only round
*/
int1616toppc:
;	cp0	w2
;	btsc	SR, #Z
;	bset	w2, #ADD_DEZP

	mov	#0x8000, w4
	btsc	w1, #15
	mov	#0x7FFF, w4

	add	w0, w4, w0
	addc	w1, #0, w0

	mov	#5, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_5d

int1616D4toppc:
;	cp0	w2
;	btsc	SR, #Z
;	bset	w2, #ADD_DEZP

	mov	#0x8000, w4
	btsc	w1, #15
	mov	#0x7FFF, w4

	add	w0, w4, w0
	addc	w1, #0, w0

	mov	#4, w4
	rcall	int16_MaxDezKorr
	bra	ui16p_4d



/*
W0=16 W2=dezp W3=ppc W4=num
*/
i16toppc:
	rcall	int16_MaxDezKorr
	bra	ui16p_w4

u16toppc:
	rcall	MaxDezKorr
	bra	ui16p_w4

/*
W1:W0=16.16 W2=dezp W3=ppc W4=num W5=tmp
 + round(0.5)
*/
i1616toppc:
	btst	w0, #15
	bra	z, i1616nor
	inc	w1, w1
	btsc	SR, #OV
	dec	w1, w1
i1616nor:
	mov	w1, w0
	rcall	int16_MaxDezKorr
	bra	ui16p_w4

u1616toppc:
	btst	w0, #15
	bra	z, u1616nor
	inc	w1, w1
	btsc	SR, #Z
	dec	w1, w1
u1616nor:
	mov	w1, w0
	rcall	MaxDezKorr
	bra	ui16p_w4

/*
W1:W0=16.16 W2=dezp W3=ppc W4=num W5=tmp
add 1 dezp + round(0.05)
*/
i1616Dx6toppc:
	dec	w2, w2
	btsc	SR, #Z
	bset	w2, #ADD_DEZP
	btsc	w2, #15
	clr w2

	push	w5
	mov	#0x0CCD, w5
	btsc	w1, #15
	mov	#0x0CCC, w5
	add	w0, w5, w0
	addc	w1, #0, w1
	pop	w5

	bra	nov, i16166_novp
	mov	#0xFFFF, w0
	mov	#0x7FFF, w1
i16166_novp:

	btst	w1, #15
	bra	nz, neg_int1616D6

	push	w0
	mov	w1, w0

	rcall	int16_MaxDezKorr
	bra	int1616D6_out

neg_int1616D6:
	push	w5
	mov	#0x1999, w5
	subr	w0, w5, w0
	pop	w5
	push	w0
	subbr	w1, #0, w0

	bset	w2, #ADD_MINUS
	and.b	w2, #0x07, w2
	bra	z, int1616D6_out
	cpslt.b	w2, w4
	mov.b	w4, w2
	sub.b	w4, w2, w2
	inc.b	w2, w2

int1616D6_out:
.if 1
	cp0	w0
	bra	nz, n1616_gt9
	btst	w2, #ADD_DEZP
	bra	nz, n1616_gt9
	and	w2, #0x07, w1
	bra	nz, n1616_gt9
	mov	#4, w0
	cp0	w4
	bra	z, n1616_num
	cp	w4, #4
	bra	gtu, n1616_num
	dec	w4, w0
n1616_num:
	mov	#0x20, w1
	repeat	w0
	mov.b	w1, [w3++]
	
	mov	#0x2d, w1
	btsc	w2, #ADD_MINUS
	mov.b	w1, [w3++]
	bra	n1616_ne0

n1616_gt9:
	rcall	ui16p_w4
n1616_ne0:
.else
	rcall	ui16p_w4
.endif

	mov	#0x2e, w1
	btsc	w2, #ADD_DEZP
	mov.b	w1, [w3++]

	pop	w0
	mul.uu w0, #10, w0

	btsc	w2, #VAL_OV 
	mov	#9, w1

	ior	#0x30, w1
	mov.b	w1, [w3++]
	clr.b	[w3]
	return

u1616Dx6toppc:
	dec	w2, w2
	btsc	SR, #Z
	bset	w2, #ADD_DEZP
	btsc	w2, #15
	clr w2

	push	w5
	mov	#0x0CCD, w5
	add	w0, w5, w0
	addc	w1, #0, w1
	pop	w5

	bra	nc, u16166_novp
	mov	#0xFFFF, w0
	mov	#0xFFFF, w1
u16166_novp:

	push	w0
	mov	w1, w0

	rcall	MaxDezKorr
	bra	int1616D6_out


i16_05toppc:
	dec	w2, w2
	btsc	SR, #Z
	bset	w2, #ADD_DEZP
	btsc	w2, #15
	clr w2

	push	w0
	btst	w0, #15
	bra	z, i16_05pos
	neg	w0, w0
	bset	w2, #ADD_MINUS
	bra	i16_05
i16_05pos:
	mov	#0x20, w4
	mov.b	w4, [w3++]
	bclr	w2, #ADD_MINUS
i16_05:
	mov	#5, w4
	rcall	MaxDezKorr
	asr	w0, w0
	rcall	ui16p_5d

	pop	w0

	mov	#0x2e, w1
	btsc	w2, #ADD_DEZP
	mov.b	w1, [w3++]

	mov	#'0', w1
	btsc	w0, #0
	mov	#'5', w1
	mov.b	w1, [w3++]

	clr.b	[w3]
	return
