/* BootOk */
.equ bBootOk_SetUp,		0
.equ bBootOk_Init,		1

/* Menu */
.equ MENU_IDX_Main,		0
.equ MENU_IDX_Menu,		1
.equ MENU_IDX_Info,		2
.equ MENU_IDX_EINGPARA,		3
.equ MENU_IDX_FLAGS,		4
.equ MENU_IDX_DAC,		5
.equ MENU_IDX_EINGFILER,	6
.equ MENU_IDX_EINGFILKX,	7
.equ MENU_IDX_AUTOCAL,		8
.equ MENU_IDX_IMPEDANZ,		9
.equ MENU_IDX_SYM,		10

/* SettingFlags */
;.equ bSF_HIGHZ,			0
.equ bSF_TDR_DC,		1

/* TestFlags */
;.equ TF_GENTEST_IDX,		0
;.equ TF_GENTEST_MAX,		5
;.equ TF_GENTEST_MASK,		0x0007

.equ bTF_DAC	,		0
.equ bTF_FAN	,		1
.equ bTF_POW	,		2

.equ TF_DC_GEN_ON,		4
.equ TF_DC_SQ_ON,		5
.equ TF_DC_MASK,		0x0030

.equ TF_HT1_ON,			6
.equ TF_HT2_ON,			7
.equ TF_FAN1_ON,		8
.equ TF_DC_FREQ_ON,		9

.if ADC_PA_MCP3421_AUTORANGE
.equ TF_PA_ADC_H_ON,		10
.endif

/* TestDispFlags */
.equ bTDF_DISP	,		0

/* PA_OutFlag */
.equ bPAOF_SQ_P,		0
.equ bPAOF_DC,			1
.equ PAOF_SOPDC_MASK,		0x0003
;.equ bPAOF_INV,			2

/* CpuFreqStat */
.equ bCPU_FQ_PULS,		0
.equ bCPU_FQ_PULS_ANL,		1

/* Param Offset */
	FAN_TEMP_ON_OFFS	= 400
	HT_TEMP_ON_OFFS		= 300

/* AutoCal */
	AC_GEN_V		= 1
	bAC_16VALS		= 8
	bAC_16VALS_MCP3421	= 8
	bAC_GAIN		= 9
/* AutoCal -> PA Offset */
	bAC_OFFS_PA		= 0
	AC_OFFS_PA_POW		= (1<<bAC_16VALS)
	AC_OFFS_PA		= (1 | (1<<bAC_16VALS))

	AC_GAIN			= (1<<bAC_GAIN)

/* AutoCal ac_flag */
.equ bACF_SAMP0,		0
.equ bACF_OK,			1

/* AutoCal ac_save_mod */
.equ bACS_SAVE_DATA,		0

/* AutoCal LastIoMk */
.equ bACIOF_INV,		0


/* OV_FlagEg */
.equ bOVF_OFFSET,		0

/* MathFlags */
.equ bMF_FREQ,			0
.equ bMF_AMPL,			1
.equ bMF_OFFSET,		2
.equ bMF_FILTER,		3

;DispValueId:
	LCDD_PA			= 1
	LCDD_GOV		= 2
	LCDD_GRV		= 3
	LCDD_OP1V		= 4
	LCDD_24V		= 5

	LCDD_HEX16_V1		= 12
	LCDD_HEX16_V2		= 13

/* GenLongTimeFlag */
	bGLT_ON			= 0
	bGLT_CHANGE		= 1

/* Impedanz_Flag */
.equ bIMP_HIGHZ_ON,		4

/* F48    F48_0 .. F48_7 */
; 6 byte * 8 = 48 / 2 = 24 - 1 = 23

.equ F48_GLOB_MEM_CLR_COUNT,	23
