/*
 Copyright (C) 2014-2022 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"

.section .text

.global add32us_sat

/* ------------------------- add32us_sat --------------------------
Input:  w0:w1 = unsigned val  +  w2:w3 = signed val
Output: w0:w1 = unsigned val
used:   w0:w1:w2				16 Clk
------------------------------------------------------------ */
add32us_sat:
	add	w0, w2, w0
	addc	w1, w3, w1
	asr	w3, #15, w2
	addc	w2, #0, w2
	cp0	w2
	btsc	SR, #Z
	return
	mov	#0xffff, w0
	mov	#0xffff, w1
	btss	w2, #15
	return
	mov	#0x0000, w0
	mov	#0x0000, w1
	return

