/*
 Copyright (C) 2014-2023 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"
.include "libm.inc"

.section .text
.global f48_1_w2

/* -------------------- f48_1_w2 -----------------------------
Input:  w2=Fx Pointer  set 1.0
Output:
used; w0				16 Clk
------------------------------------------------------------ */

f48_1_w2:
	clr	[w2]
	mov	#0x8000, w0
	mov	w0, [w2+2]
	mov	#0x3fff, w0
	mov	w0, [w2+4]
	bclr	SR, #OV
	return
