/*
 Copyright (C) 2014-2020 by Hoefer Alfred

 Licensed under GPL v2, see file COPYING in this tarball
*/

.include "sys.inc"
.include "libm.inc"

.section .text
.global f48_i16

/* ------------------------- f48_i16 ------------------------
Input:  w4 = Fx Pointer
Output: w0 signed val			Error: set SR #OV
used:   w0:w5:w6:w7			22 Clk
------------------------------------------------------------ */

f48_i16:
	mov	[w4+2], w0
	cp0	w0
	bra	z, f48i16_0

	mov	[w4+4], w7
	mov	w7, w5
	bclr	w5, #15
	mov	#0x400e, w6
	sub	w6, w5, w6
	bra	le, f48i16_max

;	cp	w6, #15
;	bra	gt, f48i16_0
	lsr	w0, w6, w0
	btsc	w7, #15
;	return
	subr    w0, #0, w0
;	bclr	SR, #OV
	return
